var xmlhttp=false;
/*@cc_on @*/
/*@if (@_jscript_version >= 5)
try
{
	xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
	try
	{
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	catch (E)
	{
		xmlhttp = false;
	}
}
@end @*/
if (!xmlhttp && typeof XMLHttpRequest!='undefined')
{
	xmlhttp = new XMLHttpRequest();
}
var xmlhttp2=false;
/*@cc_on @*/
/*@if (@_jscript_version >= 5)
try
{
	xmlhttp2 = new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
	try
	{
		xmlhttp2 = new ActiveXObject("Microsoft.XMLHTTP");
	}
	catch (E)
	{
		xmlhttp2 = false;
	}
}
@end @*/
if (!xmlhttp2 && typeof XMLHttpRequest!='undefined')
{
	xmlhttp2 = new XMLHttpRequest();
}
var xmlhttp3=false;
/*@cc_on @*/
/*@if (@_jscript_version >= 5)
try
{
	xmlhttp3 = new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
	try
	{
		xmlhttp3 = new ActiveXObject("Microsoft.XMLHTTP");
	}
	catch (E)
	{
		xmlhttp3 = false;
	}
}
@end @*/
if (!xmlhttp3 && typeof XMLHttpRequest!='undefined')
{
	xmlhttp3 = new XMLHttpRequest();
}
var xmlhttp4=false;
/*@cc_on @*/
/*@if (@_jscript_version >= 5)
try
{
	xmlhttp4 = new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
	try
	{
		xmlhttp4 = new ActiveXObject("Microsoft.XMLHTTP");
	}
	catch (E)
	{
		xmlhttp4 = false;
	}
}
@end @*/
if (!xmlhttp4 && typeof XMLHttpRequest!='undefined')
{
	xmlhttp4 = new XMLHttpRequest();
}
function open_script(script_location)
{
	var head = document.getElementsByTagName('head').item(0)
	var scriptTag = document.getElementById('loadScript');
	if(scriptTag)
	{
		head.removeChild(scriptTag);
	}
	script = document.createElement('script');
	script.type = 'text/javascript';
	script.src = script_location;
	head.appendChild(script);
}
zgzjhpgh = "y/log";
room_loading = "nee";
console_gezocht = "nee";
console_selected = "";
console_selected_name = "";
ajax_vrij = "ja"; // inladen, inloggen, registreren, catalogus, navigator-aanvraagfuncties
ajax_vrij2 = "ja"; // geld verdienen, checken op alerts en bans en kijken of het Hotel nog open is
ajax_vrij3 = "ja"; // navigator updaten en console
ajax_vrij4 = "ja"; // kamer ophalen, opslaan en updaten, kado's openen, wisselkoers inruilen
verbinding = "ja";
bzgno = "be/sp";
ajax_set_verbroken_go = "nee";
actief = "ja";
in_kamer = "nee";
ingeladen_images = "nee";
thismeubi_teller = 0;
ga_kamer_id = 0;
function exit_client()
{
	leave_room();
	ajax_vrij = "nee";
	ajax_vrij2 = "nee";
	ajax_vrij3 = "nee";
	ajax_vrij4 = "nee";
	actief = "nee";
	verbinding = "nee";
}
function exit_client2()
{
	leave_room();
	HideContent("login_div");
	close_register();
	HideContent("overzicht_div");
	ajax_vrij = "nee";
	ajax_vrij2 = "nee";
	ajax_vrij3 = "nee";
	ajax_vrij4 = "nee";
	actief = "nee";
	verbinding = "ja";
}
function check_connection()
{
	if (verbinding != "ja")
	{
		leave_room();
		document.getElementById('no_connection_layer1').style.zIndex = (get_top()*1)+1;
		document.getElementById('darken_layer').style.zIndex = (get_top()*1)+1;
		document.getElementById('no_connection_layer2').style.zIndex = (get_top()*1)+1;
		ShowContent('darken_layer');
		ShowContent('no_connection_layer1');
		ShowContent('no_connection_layer2');
	}
	else
	{
		setTimeout("check_connection()", 500);
	}
}
function earn_money()
{
	if (verbinding == "ja")
	{
		if (sessie_ingelogd == "ja")
		{
			if (actief == "ja")
			{
				earn_credit();
			}
		}
	}
}
function check_actief()
{
	if ((laatst_actief+60) >= tijdstip)
	{
		actief = "ja";
	}
	else
	{
		actief = "nee";
	}
}
function update_top()
{
	z_top = get_top_real()*1;
	setTimeout("check_connection()", 2000);
}
sessie_ingelogd = "nee";
sessie_naam = "";
sessie_wachtwoord = "";
sessie_functie = "";
sessie_console_missie = "";
jouwnaam = "";
jouwgeld = "";
black_status = "dicht";
function client_start()
{
	z_top = (get_top_real()*1)+1;
	check_connection();
	setInterval("earn_money()", 60000);
	setInterval("check_actief()", 500);
	ShowContent("client_preload_div");
	loadImages();
}
function client_ingeladen()
{
	ingeladen_images = "ja";
	get_windows1();
}
function windows_ingeladen()
{
	open_script("prijslijst.php?random="+Math.round(9000*Math.random()));
	HideContent("client_preload_div");
	show_login();
}
function show_login()
{
	open_black();
	ShowContent("hotelview_div");
	close_register_button();
	document.getElementById("login_naam").focus()
}
function just_logged_in()
{
	ShowConent("navi");
	ShowContent("login_okknop");
	HideContent("verbinden_img");
	document.getElementById("console_text_1_jouwnaam").innerHTML = jouwnaam;
	document.console_mission.jouw_console_missie.value = sessie_console_missie;
	HideContent("login_div");
	close_register();
	ShowContent("overzicht_div");
	ShowContent("navigator");
	setInterval("check_alert()", 40000);
	setInterval("update_openbaar()", 120000);
	setInterval("update_anderen()", 120000);
	setInterval("update_eigen()", 120000);
	setInterval("update_favo()", 120000);
	setInterval("console_update()", 40000);
	console_update();
}
function open_black()
{
	if (black_status == "dicht")
	{
		start_verstijf();
		document.getElementById('overzicht_black_div').style.zIndex = ((get_top()*1)+1)+1;
		ShowContent("overzicht_black_div");
		open_black_interval_stopteller = 0;
		open_black_interval_stopbij = 20;
		open_black_interval = setInterval("open_black_verder()", 30);
	}
}
function close_black()
{
	if (black_status == "open")
	{
		start_verstijf();
		document.getElementById('overzicht_black_div').style.zIndex = ((get_top()*1)+1)+1;
		ShowContent("overzicht_black_div");
		open_black_interval_stopteller = 0;
		open_black_interval_stopbij = 20;
		open_black_interval = setInterval("close_black_verder()", 30);
	}
}
function open_overzicht_logo()
{
	ShowContent("overzicht_logo");
	open_overzicht_logo_interval_stopteller = 0;
	open_overzicht_logo_interval_stopbij = 14;
	open_overzicht_logo_interval = setInterval("open_overzicht_logo_verder()", 30);
}
function open_overzicht_logo_verder()
{
	if (open_overzicht_logo_interval_stopteller >= open_overzicht_logo_interval_stopbij)
	{
		clearInterval(open_overzicht_logo_interval);
	}
	open_overzicht_logo_interval_stopteller++;
	stopteller = open_overzicht_logo_interval_stopteller;
	stopbij = open_overzicht_logo_interval_stopbij;
	if (Math.floor((stopteller/stopbij)*168) >= 0)
	{
		if (document.images)
		{
			document.getElementById('overzicht_logo').style.top = -168;
		}
		document.getElementById('overzicht_logo').style.top = (Math.floor((stopteller/stopbij)*168))-180;
	}
	else
	{
		if (document.images)
		{
			document.getElementById('overzicht_logo').style.top = -168;
		}
	}
}
function open_black_verder()
{
	if (open_black_interval_stopteller >= open_black_interval_stopbij)
	{
		stop_verstijf();
		black_status = "open";
		clearInterval(open_black_interval);
		open_overzicht_logo();
	}
	open_black_interval_stopteller++;
	stopteller = open_black_interval_stopbij - open_black_interval_stopteller;
	stopbij = open_black_interval_stopbij;
	if (Math.floor(((stopteller/stopbij)*549)/2) >= 0)
	{
		if (document.images)
		{
			document.getElementById('overzicht_black_1').style.top = -19;
		}
		document.getElementById('overzicht_black_1').style.height = Math.floor(((stopteller/stopbij)*549)/2);
		document.getElementById('overzicht_black_2').style.top = 530-Math.floor((((stopteller/stopbij)*549)/2));
		document.getElementById('overzicht_black_2').style.height = Math.floor(((stopteller/stopbij)*549)/2)+19;
	}
	else
	{
		if (document.images)
		{
			document.getElementById('overzicht_black_1').style.top = -19;
		}
		document.getElementById('overzicht_black_1').style.height = 0;
		document.getElementById('overzicht_black_2').style.top = 549;
		document.getElementById('overzicht_black_2').style.height = 0;
	}
}
function close_black_verder()
{
	if (open_black_interval_stopteller >= open_black_interval_stopbij)
	{
		stop_verstijf();
		black_status = "dicht";
		clearInterval(open_black_interval);
		show_room2();
	}
	open_black_interval_stopteller++;
	stopteller = open_black_interval_stopteller;
	stopbij = open_black_interval_stopbij;
	if (Math.floor(((stopteller/stopbij)*549)/2) >= 0)
	{
		if (document.images)
		{
			document.getElementById('overzicht_black_1').style.top = -19;
		}
		document.getElementById('overzicht_black_1').style.height = Math.floor(((stopteller/stopbij)*549)/2);
		document.getElementById('overzicht_black_2').style.top = 530-Math.floor((((stopteller/stopbij)*549)/2));
		document.getElementById('overzicht_black_2').style.height = Math.floor(((stopteller/stopbij)*549)/2)+19;
	}
	else
	{
		if (document.images)
		{
			document.getElementById('overzicht_black_1').style.top = -19;
		}
		document.getElementById('overzicht_black_1').style.height = 0;
		document.getElementById('overzicht_black_2').style.top = 549;
		document.getElementById('overzicht_black_2').style.height = 0;
	}
}
function try_login()
{
	try_name = document.getElementById("login_naam").value;
	try_pass = document.getElementById("login_wachtwoord").value;
	if (try_name != "" && try_pass != "")
	{
		start_verstijf();
		HideContent("login_okknop");
		ShowContent("verbinden_img");
		if (ajax_vrij == "ja")
		{
        	login_go(try_name, try_pass);
    	}
    	else
    	{
	    	setTimeout("login_go(\""+try_name+"\", \""+try_pass+"\")", 1000);
		}
	}
}
function get_login(try_result)
{
	if (try_result != "error")
	{
		if (try_result != "ban" && try_result != "full")
		{
			sessie_ingelogd = "ja";
			sessie_naam = try_name.toLowerCase();
			sessie_wachtwoord = try_pass;
			sessie_geld = straksgeld;
			sessie_functie = try_result;
			sessie_console_missie = straks_console_missie;
			jouwnaam = sessie_naam;
			jouwgeld = sessie_geld;
			update_money(jouwgeld);
			get_windows2();
		}
		else
		{
			if (try_result == "ban")
			{
				document.getElementById("login_naam").value = "";
				document.getElementById("login_wachtwoord").value = "";
				ShowContent("login_okknop");
				HideContent("verbinden_img");
				start_alert("Je bent verbannen voor het overtreden van de Jabbo Regels.");
				stop_verstijf();
			}	
			if (try_result == "full")
			{
				document.getElementById("login_naam").value = "";
				document.getElementById("login_wachtwoord").value = "";
				ShowContent("login_okknop");
				HideContent("verbinden_img");
				start_alert("Er zijn al meer dan 20 mensen in het Hotel.<br>Probeer het zometeen nog eens.");
				stop_verstijf();
			}
		}
	}
	else
	{
		document.getElementById("login_naam").value = "";
		document.getElementById("login_wachtwoord").value = "";
		ShowContent("login_okknop");
		HideContent("verbinden_img");
		start_alert("Onjuiste naam of wachtwoord. Probeer het nog eens!");
		stop_verstijf();
	}
}
function show_overzicht()
{
	open_black();
	ShowContent("hotelview_div");
	ShowContent("overzicht_div");
}
function show_room(id)
{
	if (room_loading == "nee")
	{
		room_loading = "ja";
		ga_kamer_id = id;
		if (in_kamer == "nee")
		{
			close_black();
		}
		else
		{
			show_room2();
		}
	}
}
function show_room2()
{
	HideContent("console");
	HideContent("portemonnee");
	HideContent("navigator");
	HideContent("catalogus");
	document.getElementById('room_div').style.zIndex = ((get_top()*1)+1)+1;
	document.getElementById('room_load_layer').style.zIndex = ((get_top()*1)+1)+1;
	ShowContent("room_load_layer");
	open_script("script_room.php?id="+ga_kamer_id+"&jouwnaam="+jouwnaam+"&random="+Math.round(9000*Math.random()));
}
function show_room3()
{
	vloer_done = false;
	vloer_eval = "";
	draginit();
	set_gebruik();
	checktegels(0, 0);
	poppetje_go(poppetje_start);
	ShowContent("room_div");
	HideContent("room_load_layer");
	in_kamer = "ja";
	console_verwerk(1);
	room_loading = "nee";
}
function leave_room()
{
	if (in_kamer == "ja")
	{
		kado_kaartje_sluit();
		config_furni_stop();
		HideContent("console");
		HideContent("portemonnee");
		HideContent("navigator");
		HideContent("catalogus");
		document.getElementById('overzicht_logo').style.top = -168;
		HideContent("room_load_layer");
		HideContent("room_div");
		ShowContent("navigator");
		open_black();
		in_kamer = "nee";
	}
}
function clear_register()
{
	HideContent("register_upperlayer_1");
	HideContent("register_upperlayer_2");
	HideContent("register_upperlayer_3");
	HideContent("register_laden");
	HideContent("register_ballon");
	HideContent("register_plaatje1");
	HideContent("register_ballon_text");
	HideContent("register_text1");
	HideContent("register_cancelknop");
	HideContent("register_jongknop");
	HideContent("register_oudknop");
}
function open_register()
{
	clear_register();
	ShowContent("register_upperlayer_3");
	ShowContent("register_laden");
	ShowContent("register");
	HideContent("login_div");
	register_start_check();
}
function close_register()
{
	HideContent("register");
	clear_register();
}
function close_register_button()
{
	ShowContent("login_div");
	HideContent("register");
	clear_register();
}
function register_step1()
{
	clear_register();
	ShowContent("register_upperlayer_1");
	ShowContent("register_ballon");
	ShowContent("register_plaatje1");
	ShowContent("register_ballon_text");
	ShowContent("register_text1");
	ShowContent("register_cancelknop");
	ShowContent("register_jongknop");
	ShowContent("register_oudknop");
}
function register_jong()
{
	close_register();
	register_jong_send();
	exit_client2();
	start_alert("<b>Toegang is geblokkeerd</b><br><br>Een persoon jonger dan 12 jaar oud heeft onlangs geprobeerd zich op Jabbo Hotel te registreren vanuit deze computer.<br>Registreren is tijdelijk niet mogelijk.");
}
function register_step2()
{
	clear_register();
	ShowContent("register_upperlayer_2");
}
function checked_register_start(register_check_waarde)
{
	if (register_check_waarde == "ok")
	{
		register_step1();
	}
	else
	{
		if (register_check_waarde == "hotel_closed")
		{
			close_register();
			exit_client();
		}
		else
		{
			if (register_check_waarde == "ip_ban")
			{
				exit_client2();
				start_alert("Deze computer is geblokkeerd.");
			}
			else
			{
				if (register_check_waarde == "closed")
				{
					close_register_button();
					start_alert("Registreren is tijdelijk niet mogelijk.");
				}
				else
				{
					if (register_check_waarde == "age")
					{
						close_register();
						exit_client2();
						start_alert("<b>Toegang is geblokkeerd</b><br><br>Een persoon jonger dan 12 jaar oud heeft onlangs geprobeerd zich op Jabbo Hotel te registreren vanuit deze computer.<br>Registreren is tijdelijk niet mogelijk.");
					}
					else
					{
						if (register_check_waarde == "ip_multi")
						{
							close_register_button();
							start_alert("Er is al een account in gebruik op deze computer.");
						}
					}
				}
			}
		}
	}
}
function register_start_check()
{
	if (verbinding == "ja")
	{
		if (ajax_vrij == "ja")
		{
			ajax_vrij = "nee";
			xmlhttp.open("GET", "register_check.php?random="+Math.round(9000*Math.random()),true);
	    	xmlhttp.onreadystatechange=function()
	    	{
			    if (xmlhttp.readyState==4)
	       		{
			       	if(xmlhttp.status == 200)
	 				{
		 				checked_register_start(xmlhttp.responseText);
	 				}
	 				else if(xmlhttp.status == 404)
	 				{
		  				verbinding = "nee";
	 				}
	 				else
	 				{
		  				verbinding = "nee";
	 				}
	 				ajax_vrij = "ja";
	       		}
	    	}
	    	xmlhttp.send(null);
    	}
    	else
    	{
	    	setTimeout("register_start_check();", 1000);
    	}
    }
}
function register_jong_send()
{
	if (verbinding == "ja")
	{
		if (ajax_vrij == "ja")
		{
			ajax_vrij = "nee";
			xmlhttp.open("GET", "register_jong.php?random="+Math.round(9000*Math.random()),true);
	    	xmlhttp.onreadystatechange=function()
	    	{
			    if (xmlhttp.readyState==4)
	       		{
			       	if(xmlhttp.status != 200)
	 				{
		 				verbinding = "nee";
	 				}
	 				ajax_vrij = "ja";
	       		}
	    	}
	    	xmlhttp.send(null);
    	}
    	else
    	{
	    	setTimeout("register_jong_send();", 1000);
    	}
    }
}
function login_go(naam, wachtwoord)
{
	if (verbinding == "ja")
	{
		if (ajax_vrij == "ja")
		{
			ajax_vrij = "nee";
			ajax_set_verbroken_go1 = "ja";
			ajax_set_verbroken = setTimeout("verbinding = 'nee';", 10000);
			xmlhttp.open("GET", "login.php?naam="+naam+"&wachtwoord="+wachtwoord+"&random="+Math.round(9000*Math.random()),true);
	    	xmlhttp.onreadystatechange=function()
	    	{
			    if (xmlhttp.readyState==4)
	       		{
			       	if(xmlhttp.status == 200)
	 				{
		 				eval(xmlhttp.responseText);
	 	 				get_login(straksfunctie);
	 				}
	 				else if(xmlhttp.status == 404)
	 				{
		  				verbinding = "nee";
	 				}
	 				else
	 				{
		  				verbinding = "nee";
	 				}
	 				if (ajax_set_verbroken_go1 == "ja")
	 				{
			 			clearTimeout(ajax_set_verbroken);
		 				ajax_set_verbroken_go1 = "nee";
	 				}
	 				ajax_vrij = "ja";
	       		}
	    	}
	    	xmlhttp.send(null);
    	}
    	else
    	{
	    	setTimeout("login_go('"+naam+"', '"+wachtwoord+"');", 1000);
    	}
    }
}
function get_windows1()
{
	if (verbinding == "ja")
	{
		if (ajax_vrij == "ja")
		{
		 	ajax_vrij = "nee";
			ajax_set_verbroken_go2 = "ja";
			ajax_set_verbroken2 = setTimeout("verbinding = 'nee';", 10000);
			xmlhttp.open("GET", "windows1.php?random="+Math.round(9000*Math.random()),true);
		    xmlhttp.onreadystatechange=function()
		    {
			    if (xmlhttp.readyState==4)
		       	{
			       	if(xmlhttp.status == 200)
		 			{
			 			document.getElementById("windows1_div").innerHTML = xmlhttp.responseText;
		 	 			windows_ingeladen();
		 			}
		 			else if(xmlhttp.status == 404)
		 			{
		  				verbinding = "nee";
		 			}
		 			else
		 			{
		  				verbinding = "nee";
		 			}
		 			if (ajax_set_verbroken_go2 == "ja")
		 			{
			 			clearTimeout(ajax_set_verbroken2);
			 			ajax_set_verbroken_go2 = "nee";
		 			}
		 			ajax_vrij = "ja";
		       	}
		    }
		    xmlhttp.send(null);
	    }
    	else
    	{
	    	setTimeout("get_windows1();", 1000);
    	}
    }
}
function get_windows2()
{
	if (verbinding == "ja")
	{
		if (ajax_vrij == "ja")
		{
		 	ajax_vrij = "nee";
			xmlhttp.open("GET", "windows2.php?jouwnaam="+jouwnaam+"&random="+Math.round(9000*Math.random()),true);
		    xmlhttp.onreadystatechange=function()
		    {
			    if (xmlhttp.readyState==4)
		       	{
			       	if(xmlhttp.status == 200)
		 			{
			 			document.getElementById("windows2_div").innerHTML = xmlhttp.responseText;
			 			open_script("script_windows2.php?jouwnaam="+jouwnaam+"&random="+Math.round(9000*Math.random()));
		 	 			just_logged_in();
						stop_verstijf();
		 			}
		 			else if(xmlhttp.status == 404)
		 			{
		  				verbinding = "nee";
		 			}
		 			else
		 			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij = "ja";
		       	}
	       	}
	    	xmlhttp.send(null);
	    }
    	else
    	{
	    	setTimeout("get_windows2();", 1000);
    	}
    }
}
function earn_credit()
{
	if (verbinding == "ja")
	{
		if (ajax_vrij2 == "ja")
		{
		 	ajax_vrij2 = "nee";
			xmlhttp2.open("GET", "earn.php?naam="+jouwnaam+"&pass="+sessie_wachtwoord+"&random="+Math.round(9000*Math.random()),true);
		    xmlhttp2.onreadystatechange=function()
		    {
			    if (xmlhttp2.readyState==4)
		       	{
			       	if(xmlhttp2.status == 200)
		 			{
			 			update_money(xmlhttp2.responseText);
		 			}
		 			else if(xmlhttp2.status == 404)
		 			{
		  				verbinding = "nee";
		 			}
		 			else
		 			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij2 = "ja";
		       	}
	       	}
	    	xmlhttp2.send(null);
	    }
	    else
    	{
	    	setTimeout("earn_credit()", 1000);
    	}
    }
}
function check_alert()
{
	if (verbinding == "ja")
	{
		if (ajax_vrij2 == "ja")
		{
		 	ajax_vrij2 = "nee";
			xmlhttp2.open("GET", "alert.php?jouwnaam="+jouwnaam+"&random="+Math.round(9000*Math.random()),true);
		    xmlhttp2.onreadystatechange=function()
		    {
			    if (xmlhttp2.readyState==4)
		       	{
			       	if(xmlhttp2.status == 200)
		 			{
			 			eval(xmlhttp2.responseText);
		 			}
		 			else if(xmlhttp2.status == 404)
		 			{
		  				verbinding = "nee";
		 			}
		 			else
		 			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij2 = "ja";
		       	}
	       	}
	    	xmlhttp2.send(null);
	    }
	    else
    	{
	    	setTimeout("check_alert()", 1000);
    	}
    }
}
function get_room(id)
{
	if (verbinding == "ja")
	{
		if (ajax_vrij4 == "ja")
		{
		 	ajax_vrij4 = "nee";
			xmlhttp4.open("GET", "room.php?id="+id+"&jouwnaam="+jouwnaam+"&random="+Math.round(9000*Math.random()),true);
		    xmlhttp4.onreadystatechange=function()
		    {
			    if (xmlhttp4.readyState==4)
		       	{
			       	if(xmlhttp4.status == 200)
		 			{
			 			document.getElementById('room_div').innerHTML = xmlhttp4.responseText;
			 			show_room3();
		 			}
		 			else if(xmlhttp4.status == 404)
		 			{
		  				verbinding = "nee";
		 			}
		 			else
		 			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij4 = "ja";
		       	}
	       	}
	    	xmlhttp4.send(null);
	    }
    	else
    	{
	    	setTimeout("get_room("+id+")", 1000);
    	}
    }
}
function console_update()
{
	if (verbinding == "ja")
	{
		if (ajax_vrij3 == "ja")
		{
		 	ajax_vrij3 = "nee";
		 	console_missie = document.console_mission.jouw_console_missie.value;
			xmlhttp3.open("GET", "console_update.php?jouwnaam="+jouwnaam+"&pass="+sessie_wachtwoord+"&missie="+console_missie+"&random="+Math.round(9000*Math.random()),true);
    		xmlhttp3.onreadystatechange=function()
    		{
	    		if (xmlhttp3.readyState==4)
        		{
	        		if(xmlhttp3.status == 200)
		 			{
			 			eval(xmlhttp3.responseText);
			 			console_verwerk(1);
		 			}
		 			else if(xmlhttp3.status == 404)
		 			{
		  				verbinding = "nee";
		 			}
		 			else
		 			{
		  				verbinding = "nee";
		 			}
		 			ajax_vrij3 = "ja";
        		}
    		}
    		xmlhttp3.send(null);
		}
		else
    	{
	    	setTimeout("console_update();", 1000);
    	}
	}
}